evaluations
Create evaluations agent workflows
Requires scopes: eval:write
POST
/
api
/
evaluations
/
{id}
/
agent-workflows
Create evaluations agent workflows
curl --request POST \
--url https://evalgate.com/api/evaluations/{id}/agent-workflows \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"runId": 123,
"caseCount": 123,
"includePassed": false,
"persistCandidates": false,
"persistArtifacts": false
}
'import requests
url = "https://evalgate.com/api/evaluations/{id}/agent-workflows"
payload = {
"runId": 123,
"caseCount": 123,
"includePassed": False,
"persistCandidates": False,
"persistArtifacts": False
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
runId: 123,
caseCount: 123,
includePassed: false,
persistCandidates: false,
persistArtifacts: false
})
};
fetch('https://evalgate.com/api/evaluations/{id}/agent-workflows', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"coverage": {
"totalCases": 123,
"agentWorkflowCases": 123,
"coverageRate": 123,
"workflowClassDistribution": {
"approval_gated_mutation": 123,
"background_execution": 123,
"recovery_required": 123,
"policy_conflict": 123,
"handoff_heavy": 123,
"memory_sensitive": 123,
"parallel_tool_use": 123
},
"autonomyDistribution": {
"manual": 123,
"default_approvals": 123,
"bypass_approvals": 123,
"autopilot": 123
},
"generatedCandidateCount": 123,
"experimentRecipeCount": 123,
"gaps": [
{
"id": "<string>",
"workflowClass": "approval_gated_mutation",
"severity": "critical",
"description": "<string>",
"recommendation": "<string>"
}
]
},
"artifacts": [
{
"id": 123,
"kind": "<string>",
"title": "<string>"
}
],
"cases": [
{
"evalCase": {
"title": "<string>",
"id": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"tags": [
"<string>"
],
"sourceTraceIds": [
"<string>"
],
"expectedConstraints": [
{
"type": "custom",
"required": true,
"value": true,
"description": "<string>"
}
],
"quarantined": true,
"evalCaseVersion": 123,
"frozenSnapshotRef": "<string>",
"rubricRef": "<string>",
"metricDAGRef": "<string>",
"replayTier": "A",
"redactionProfileRef": "<string>",
"mergedFromIds": [
"<string>"
],
"agentWorkflow": {
"version": 1,
"autonomyLevel": "manual",
"riskLevel": "low",
"workflowClass": "approval_gated_mutation",
"approvalMode": "human_review",
"memoryMode": "session",
"backgroundExecution": true,
"requiredHooks": [
"session_start"
],
"requiresCheckpoint": true,
"expectedHandoff": true,
"activeTools": [
"<string>"
],
"permissionScope": {
"filesystem": [
"<string>"
],
"network": "open",
"externalSystems": [
"<string>"
],
"mutatesState": false
},
"expectedFailureModes": [
"<string>"
],
"scenario": "<string>",
"provenance": {
"source": "manual",
"evaluationId": 123,
"runId": 123,
"testCaseId": 123,
"traceId": "<string>"
}
}
},
"quality": {
"qualityScore": 123,
"usefulnessScore": 123,
"falsePositiveRisk": 123,
"compositeScore": 123,
"signals": [
{
"dimension": "<string>",
"score": 123,
"weight": 123,
"explanation": "<string>"
}
],
"verdict": "low",
"recommendation": "<string>"
},
"rationale": "<string>",
"minimizedInput": {
"userPrompt": "<string>",
"systemPrompt": "<string>",
"activeTools": [
"<string>"
],
"conversationContext": [
{
"role": "user",
"content": "<string>"
}
],
"failureSpanId": "<string>",
"failureOutput": "<string>",
"metadata": {},
"agentWorkflow": {
"version": 1,
"workflowClass": "approval_gated_mutation",
"autonomyLevel": "manual",
"approvalMode": "human_review",
"riskLevel": "low",
"memoryMode": "session",
"backgroundExecution": true,
"requiresCheckpoint": true,
"expectedHandoff": true,
"requiredHooks": [
"session_start"
],
"activeTools": [
"<string>"
],
"permissionScope": {
"filesystem": [
"<string>"
],
"network": "open",
"externalSystems": [
"<string>"
],
"mutatesState": false
},
"expectedFailureModes": [
"<string>"
],
"scenario": "<string>",
"provenance": {
"source": "manual",
"evaluationId": 123,
"runId": 123,
"testCaseId": 123,
"traceId": "<string>"
}
},
"workflowExperimentRecipe": {
"version": 1,
"title": "<string>",
"objective": "<string>",
"workflowClass": "approval_gated_mutation",
"source": "coverage_gap",
"linkedFailureModes": [
"<string>"
],
"linkedTestCaseIds": [
123
],
"comparedVariants": [
{
"id": "<string>",
"label": "<string>",
"changes": [
"<string>"
],
"expectedImpact": "<string>",
"autonomyLevel": "manual",
"approvalMode": "human_review",
"memoryMode": "session",
"hooks": [
"session_start"
]
}
],
"successMetrics": [
"<string>"
],
"guardrails": [
"<string>"
],
"recommendedIterations": 123,
"rationale": "<string>"
}
},
"recipe": {
"version": 1,
"title": "<string>",
"objective": "<string>",
"workflowClass": "approval_gated_mutation",
"source": "coverage_gap",
"linkedFailureModes": [
"<string>"
],
"linkedTestCaseIds": [
123
],
"comparedVariants": [
{
"id": "<string>",
"label": "<string>",
"changes": [
"<string>"
],
"expectedImpact": "<string>",
"autonomyLevel": "manual",
"approvalMode": "human_review",
"memoryMode": "session",
"hooks": [
"session_start"
]
}
],
"successMetrics": [
"<string>"
],
"guardrails": [
"<string>"
],
"recommendedIterations": 123,
"rationale": "<string>"
},
"source": "coverage_gap",
"testCaseId": 123
}
],
"createdCandidateIds": [
123
],
"runId": 123
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
⌘I
Create evaluations agent workflows
